lzma_encoder_private.h File Reference

Private definitions for LZMA encoder. More...

`#include "lz_encoder.h"`
`#include "range_encoder.h"`
`#include "lzma_common.h"`
`#include "lzma_encoder.h"`

## Data Structures

struct | lzma_length_encoder
struct | lzma_optimal
struct | lzma_lzma1_encoder_s

## Macros

#define | not_equal_16(a, b) ((a)[0] != (b)[0] || (a)[1] != (b)[1])
#define | OPTS (1 << 12)

## Functions

void | lzma_lzma_optimum_fast (lzma_lzma1_encoder *restrict coder, lzma_mf *restrict mf, uint32_t *restrict back_res, uint32_t *restrict len_res)
void | lzma_lzma_optimum_normal (lzma_lzma1_encoder *restrict coder, lzma_mf *restrict mf, uint32_t *restrict back_res, uint32_t *restrict len_res, uint32_t position)

## Detailed Description

Private definitions for LZMA encoder.